int main2()
{

	int c[]={1,0,1,1,0,1,0,1,1,0};

	Agent * b;

	
	for(int i=0;i<1000;i++)

	{

		b= new Agent(10,0,0);

		b->isGoingToBar(20);

		b->tellWins(c,40);

		b->isDead();
			delete b;

	}
	
	cout<<"Agent"<<endl;

}